Bug 59176 - Unable to build vim-6.0-7.13.src.rpm in non-graphical installation
Unable to build vim-6.0-7.13.src.rpm in non-graphical installation
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: vim (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-01 10:08 EST by Steve Snyder
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-01 10:08:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Snyder 2002-02-01 10:08:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20011227

Description of problem:
The vim-6.0-7.13.src.rpm will not build binary packages in an environment in
which graphical interfaces are not installed.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpm --rebuild vim-6.0-7.13.src.rpm
2.
3.
	

Actual Results:  # rpm --rebuild vim-6.0-7.13.src.rpm
Installing vim-6.0-7.13.src.rpm
error: failed build dependencies:
        gtk+-devel is needed by vim-6.0-7.13


Expected Results:  Should detect lack of graphical environment and skip building
the graphical version of vim ("gvim").  The other binary packages (containing
text versions of vim) should be built correctly.


Additional info:

On the installation of RHL v7.2 I opted for Everything, then manually removed
all XFree86-*, kde* and gnome* packages.  (I wanted an installation with all
features, but have no need for any graphical user interface.)  The packages
finally installed are the result of the RedHat installer resolving dependencies.
 The vim-6.0-7.13.src.rpm SRPMS wants to build 4 binary packages (vim-common,
vim-minimal, vim-enhanced, vim-X11).  Of these 4, the last is clearly
inappropriate for my system, but the first 3 binaries should build without error.
Comment 1 Karsten Hopp 2002-07-09 06:02:49 EDT
I've added a switch to the latest vim specfile to disable building of gvim. 
But we can't use auto detection or we would end up with random versions of vim, depending 
on what was installed on our buildsystem at compile time.

Note You need to log in before you can comment on or make changes to this bug.